xmlto (0.0.28-2~exp1) experimental; urgency=medium

  * Change maintainer to ChangZhuo Chen (Closes: #802386).
  * Update Vcs-* fields.
  * Suggest texlive-htmlxml instead of xmltex (Closes: #861365).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 28 Apr 2017 09:30:50 +0800

xmlto (0.0.28-1) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #802386)
  * Migrations:
      - debian/copyright to 1.0 format.
      - DH level to 10.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to improve the
    GCC hardening.
  * debian/watch:
      - Bumped to version 4.
      - Improved the rule.
      - Removed the extra source to avoid conflicts with uscan.
  * debian/xmlto.links: renamed to links.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 27 Dec 2016 02:14:53 -0200

xmlto (0.0.28-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Sat, 21 Nov 2015 08:06:11 +0900

xmlto (0.0.27-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * debian/patches
    - drop fix-mimetype-in-epub.patch: merged upstream
  * debian/control
    - drop deprecated "DM-Upload-Allowed: yes" line

 -- Hideki Yamane <henrich@debian.org>  Sat, 14 Nov 2015 17:00:41 +0900

xmlto (0.0.26-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
    - fix "xmlto: ePUB does not include a css file" (Closes: #694784)
  * debian/patches
    - add fix-mimetype-in-epub.patch (Closes: #738629)
    - drop getopt_noextensions_fix.patch: merged upstream
    - drop 652974_local_only_in_function.patch: merged upstream

 -- Hideki Yamane <henrich@debian.org>  Wed, 27 May 2015 21:19:16 +0900

xmlto (0.0.25-2) unstable; urgency=low

  * debian/control (Recommends): Added zip for epub format (closes: #653187).
    (Standards-Version): Bumped to 3.9.3.
  * debian/patches/652974_local_only_in_function.patch: Added.
    - Fix warning about local builtin used (closes: #652974).
  * debian/patches/getopt_noextensions_fix.patch: Added.
    - Fix the noextensions recognition by getopt.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 20 May 2012 11:59:41 +0200

xmlto (0.0.25-1) unstable; urgency=low

  * New upstream release.
    - Work inside source path to fix a problem finding the images the .fo file
      refers to (closes: #568894).
  * debian/patches/fop1_extensions_fix.patch: Dropped. xmlto now determines
    fop version during runtime and sets the extension parameter accordingly.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 03 Dec 2011 00:58:10 +0100

xmlto (0.0.24-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: Increased dh compatibility level.
  * debian/control: Added Multi-Arch: foreign.
    (Standards-Version): Bumped to 3.9.2.
    (Build-Depends): Dropped dpatch. Increased required debhelper version.
    (Vcs-Browser): Point to correct location.
    (Depends): Fixed debhelper-but-no-misc-depends.
    (Description): Added XHTML and epub.
  * debian/copyright: Minor update.
  * debian/rules: Rewritten for debhelper 7 and new source format.
  * debian/README.source: Dropped (obsolete).
  * debian/patches/format_fo_passivetex_check.dpatch: Renamed to
    debian/patches/format_fo_passivetex_check.patch.
  * debian/patches/fop1_extensions_fix.patch: Added.
    - Fix extensions logic for fop (> 0.90).
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.
  * debian/source/format: Added for source format 3.0 (quilt).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 27 Nov 2011 15:34:40 +0100

xmlto (0.0.23-2) unstable; urgency=low

  * debian/rules (config.status): Set BASH=/bin/bash (closes:
    #548141).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 24 Sep 2009 10:55:54 +0200

xmlto (0.0.23-1) unstable; urgency=low

  * New upstream release 0.0.23.
  * debian/control (Standards-Version): Bumped to 3.8.3.
  * debian/rules (binary-arch): Install NEWS instead of ChangeLog.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 21 Sep 2009 22:52:54 +0200

xmlto (0.0.22-1) unstable; urgency=low

  * New upstream release 0.0.22.
    - Patch by Jonathan Nieder applied by upstream to handle mktemp
      failures more gracefully (closes: #518950).

  * debian/control (Build-Depends): Removed libpaper-utils.
    (Standards-Version): Bumped to 3.8.1 (no other changes).
    (Suggests): Moved fop back to Recommends as alternative for
    dblatex now that it is back in main. Also replaced lynx with
    lynx-cur.
  * debian/rules: Removed get-orig-source target because upstream
    provides gzipped tarballs.
    (config.status): Set the utilities location.
  * debian/watch: Fixed.
  * debian/patches/xmlto_libpaper_173090.dpatch: Dropped (applied
    upstream).
  * debian/patches/483503_postvalid_needs_noent.dpatch: Ditto.
  * debian/patches/499200_cannot_parse_XSLTPARAMS.dpatch: Ditto.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 27 Mar 2009 02:14:49 +0100

xmlto (0.0.21-5) unstable; urgency=low

  * debian/control (Vcs-Browser, Vcs-Svn): Adjusted and fixed URLs.
    (Recommends): Added dblatex.
    (Suggests): Removed obsolete passivetex.
    (Description): Applied update to mention all supported toolchains
    and their limitations.
  * debian/patches/xmlto_libpaper_173090.dpatch: Adjusted.
    - xmlto.in: Another regression fix: Remove papersizemod-XSL in
      paperconf-scenario (closes: #518907). Thanks to Jonathan Nieder
      for the report.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 09 Mar 2009 14:10:33 +0100

xmlto (0.0.21-4) unstable; urgency=low

  * Upload to unstable.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 15 Feb 2009 23:37:07 +0100

xmlto (0.0.21-3) experimental; urgency=low

  * debian/patches/483503_postvalid_needs_noent.dpatch: Added.
    - xmlto.in: xmllints --postvalid switch needs the --noent switch
      to substitute entity values and avoid 'references an unknown ID'
      errors (closes: #483503). Thanks to Daniel Burrows for the
      report.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 25 Jan 2009 20:47:34 +0100

xmlto (0.0.21-2) experimental; urgency=low

  * debian/patches/499200_cannot_parse_XSLTPARAMS.dpatch: Adjusted.
    - xmlto.in: The value of a given (string)param=value pair was not
      parsed correctly due to a missing curly brace (closes: #513011).
      Thanks to Max Kellermann.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 25 Jan 2009 19:27:59 +0100

xmlto (0.0.21-1) experimental; urgency=low

  * New upstream release 0.0.21.

  * debian/control (Homepage): Fixed.
    (Standards-Version): Bumped to 3.8.0.
  * debian/copyright: Updated to reflect author change.
  * debian/rules: Small cleanup.
  * debian/watch: Fixed download location.
  * debian/README.source: Added accordingly to standard 3.8.0.
  * debian/patches/xmlto_libpaper_173090.dpatch: Adjusted.
    - The Debian patch has been applied upstream, but included the bug
      #491390. So this patch simply fixes #491390.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 01 Dec 2008 00:21:37 +0100

xmlto (0.0.20-5) unstable; urgency=low

  * debian/patches/483503_postvalid_needs_noent.dpatch: Added.
    - xmlto.in: xmllints --postvalid switch needs the --noent switch
      to substitute entity values and avoid 'references an unknown ID'
      errors (closes: #483503). Thanks to Daniel Burrows for the
      report.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 25 Jan 2009 20:35:14 +0100

xmlto (0.0.20-4) unstable; urgency=low

  * debian/patches/499200_cannot_parse_XSLTPARAMS.dpatch: Adjusted.
    - xmlto.in: The value of a given (string)param=value pair was not
      parsed correctly due to a missing curly brace (closes: #513011).
      Thanks to Max Kellermann.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 25 Jan 2009 18:41:30 +0100

xmlto (0.0.20-3) unstable; urgency=low

  * debian/control (Suggests): Added xmltex now providing passivetex
    (closes: #416622, #440518). Thanks to Robert Wohlrab.
    (Description): Added information about fop/docbook-xsl as
    alternative to passivetex.
  * debian/patches/499200_cannot_parse_XSLTPARAMS.dpatch: Added.
    - xmlto.in: Fixed error message using --stringparam switch
      (closes: #499200). Thanks to Zed Pobre.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 09 Oct 2008 11:03:38 +0200

xmlto (0.0.20-2) unstable; urgency=low

  * debian/rules (get-orig-source): Use uscan and its --repack feature.
  * debian/patches/xmlto_libpaper_173090.dpatch: Adjusted.
    - Delete papersizemod XSL file if created and not just for some
      formats (closes: #491390).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 19 Jul 2008 12:28:11 +0200

xmlto (0.0.20-1) unstable; urgency=low

  * New upstream release 0.0.20.
    - Added experimental support for the docbook-xsl/fop toolchain.

  * debian/control (XS-DM-Upload-Allowed): Removed XS-prefix as of
    dpkg version 1.14.16.
    (Uploaders): Removing Graham Wilson who does not longer actively
    maintain the package. Thanks for your work!
    (Depends): Moved libpaper-utils to Recommends.
    (Suggests): Added fop as alternative for PDF/PS creation. Added the other
    supported browsers for text conversion.
  * debian/rules (get-orig-source): Use trust-model 'always' for GnuPG.
  * debian/patches/01_format_cp_bug_293453.dpatch: Dropped. Applied upstream.
  * debian/patches/04_xmlto_filename_spaces_fix_353829.dpatch: Ditto.
  * debian/patches/05_xmlto_read_stylesheet_from_stdin_299461.dpatch: Ditto.
  * debian/patches/06_xmlto_avoid_broken_manpages_327551.dpatch: Ditto.
  * debian/patches/02_format_fo_passivetex_check.dpatch: Renamed to
    debian/patches/format_fo_passivetex_check.dpatch.
  * debian/patches/03_xmlto_libpaper_173090.dpatch: Renamed to
    debian/patches/xmlto_libpaper_173090.dpatch.
  * debian/patches/format_fo_passivetex_check.dpatch: Adjusted.
    - Just adjusted to the new code.
  * debian/patches/xmlto_libpaper_173090.dpatch: Adjusted.
    - Made libpaper tools optional and the first choice *over* the upstream
      solution, not a complete replacement. Further fixed the test to apply
      the stylesheet also to FO creation (closes: #270433).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 05 Feb 2008 02:33:44 +0100

xmlto (0.0.19-1) UNRELEASED; urgency=low

  * New upstream release 0.0.19.
    - Upstream fixed option order for find call (closes: #366707).
    - Manpage is rebuilt with newer docbook-xsl stylesheets and its formatting
      should be fixed now (closes: #415353).

  * debian/compat: Raised to v5.
  * debian/control: Homepage field transition. Added Vcs and
    XS-DM-Upload-Allowed field.
    (Standards-Version): Updated to latest 3.7.3.
    (Uploaders): Added myself.
    (Build-Depends): Raised debhelper to comply with compat level. Added
    dpatch.
    (Depends): Raised xsltproc dependency (closes: #311354).
  * debian/copyright: Updated.
  * debian/rules: Added a get-orig-source target to document the creation of
    the .tar.gz from the .tar.bz2. Added dpatch infrastructure.
    (CFLAGS): Added -Wall.
    (clean): Do not ignore make result here.
    (.PHONY): Removed test target.
  * debian/xmlto.links: Added.
    - Make text an alias for txt (closes: #263243).
  * debian/watch: Slightly updated.
  * debian/patches/01_format_cp_bug_293453.dpatch: Added.
    - Copy the whole chunked HTML output and created manpages, even if in
      sub-directories. Acknowledge NMU by Yann Dirson (closes: #293453).
  * debian/patches/02_format_fo_passivetex_check.dpatch: Added.
    - Just moved Graham Wilson's passivetex checks into this dpatch patch.
  * debian/patches/03_xmlto_libpaper_173090.dpatch: Added.
    - Just moved Graham Wilson's libpaper patch into this dpatch patch.
  * debian/patches/04_xmlto_filename_spaces_fix_353829.dpatch: Added.
    - Fixed a failure taking a file as argument, with spaces in its name
      (closes: #353829).
  * debian/patches/05_xmlto_read_stylesheet_from_stdin_299461.dpatch: Added.
    - Allow xmlto to get a stylesheet from STDIN (closes: #299461, #413632).
  * debian/patches/06_xmlto_avoid_broken_manpages_327551.dpatch: Added.
    - Use always the whole roff character map for manpage output to avoid
      broken output if environment and source locale differ (closes: #327551).
  * debian/patches/00list: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 13 Jan 2008 21:14:59 +0100

xmlto (0.0.18-5.1) unstable; urgency=low

  * NMU - last version cannot work with too many stylesheets.
  * Use "cp -r" to copy html results from temporary dir (Closes: #293453).

 -- Yann Dirson <dirson@debian.org>  Sun, 17 Sep 2006 23:24:23 +0200

xmlto (0.0.18-5) unstable; urgency=low

  * Set maintainer to Debian XML/SGML Group, and add myself as
    uploader.
  * Fix check for XSL-FO. (closes: #252545)

 -- Graham Wilson <graham@debian.org>  Mon, 07 Jun 2004 18:20:43 +0000

xmlto (0.0.18-4) unstable; urgency=low

  * Woohoo Debian XML catalog registration!
    - bump docbook-xml dependency for the support (closes: #183744)

 -- Graham Wilson <graham@debian.org>  Tue, 03 Feb 2004 01:03:32 +0000

xmlto (0.0.18-3) unstable; urgency=low

  * Use HTTP URIs in the documentation files.
  * Remove SGML_CATALOG_FILES hack from xmlto.in.
  * Don't install the stupid FAQ.

 -- Graham Wilson <graham@debian.org>  Mon, 02 Feb 2004 22:47:42 +0000

xmlto (0.0.18-2) unstable; urgency=low

  * Add a watch file for uscan.
  * Fix typo in autogen.sh, and put it the top-level directory.
  * Fix some typos in the XSL-FO to other processing scripts.
  * Use HTTP URIs instead of local ones when transforming.
    - bump docbook-xsl dependency to match

 -- Graham Wilson <graham@debian.org>  Sun, 01 Feb 2004 18:17:19 +0000

xmlto (0.0.18-1) unstable; urgency=low

  * New upstream release.
  * Build depend on at least debhelper 4.

 -- Graham Wilson <graham@debian.org>  Thu, 22 Jan 2004 02:43:24 +0000

xmlto (0.0.17-3) unstable; urgency=low

  * Check more header lines to see if the file is XSL-FO.

 -- Graham Wilson <graham@debian.org>  Sat, 13 Dec 2003 20:44:56 +0000

xmlto (0.0.17-2) unstable; urgency=low

  * Fix a problem with the build script I use.

 -- Graham Wilson <graham@debian.org>  Fri, 12 Dec 2003 23:46:22 +0000

xmlto (0.0.17-1) unstable; urgency=low

  * New upstream release.
  * Add a script to recreate auto* files.
  * Correctly check DEB_BUILD_OPTIONS.
  * Call head correctly. (closes: #221839)
  * Suggest w3m, since it produces better table output.
  * Remove a few empty directories on clean.

 -- Graham Wilson <graham@debian.org>  Fri, 05 Dec 2003 20:27:20 +0000

xmlto (0.0.14-3) unstable; urgency=low

  * Remove testing framework, as it only made the diff larger, and I don't
    think anybody used it.
  * Change maintainer address.
  * Increase standards version. No changes.

 -- Graham Wilson <graham@debian.org>  Thu, 11 Sep 2003 01:32:17 +0000

xmlto (0.0.14-2) unstable; urgency=low

  * The "woohoo debian xml catalog support oh wait" release.
  * Really depend on libxml2-utils. (closes: #196376, #196967)
  * Standards-Version: 3.6.0 (no changes)
  * Minor improvements to the debian/test script.
  * Export SGML_CATALOG_FILES: (closes: #204276)
    - for xmllint and xsltproc
    - also depend on sgml-base

 -- Graham Wilson <bob@decoy.wox.org>  Wed, 06 Aug 2003 20:46:48 +0000

xmlto (0.0.14-1) unstable; urgency=low

  * New upstream release.
  * Enable maintainer mode in configure.in.
  * Print a better message when PassiveTeX is not installed.
    (closes: #190840)
  * (Build-)Depend on xsltproc (>= 1.0.29). (closes: #189421)
  * Depend on libxml2-utils. (closes: #196376, #196967)
  * Really check the return code of xmllint.

 -- Graham Wilson <bob@decoy.wox.org>  Sat, 14 Jun 2003 05:41:35 +0000

xmlto (0.0.12-7) unstable; urgency=low

  * Adding 0.0.13pre4 patch.
  * Various improvements to the testing framework, see README.test.
  * Build-depend and depend on docbook-xsl (1.56.0):
    - At this point db2man.xsl is included and the XHTML stylesheet
      really produces XHTML. (closes: #183892)
    - Don't depend on docbook-xml (>= 1.54.0). Oops.
  * Update Standards-Version. No changes.

 -- Graham Wilson <bob@decoy.wox.org>  Thu, 20 Mar 2003 02:37:10 +0000

xmlto (0.0.12-6) unstable; urgency=low

  * Add myself to the copyright file. (closes: #180996)
  * Suggest passivetex (>= 1.23). (closes: #179146)
    - The newest version fixes some problems with XSL-FO files.
    - Remove the note from README.Debian about this.
  * Remove the patch code from the rules file.
    - The patches will be included in the Debian diff.

 -- Graham Wilson <bob@decoy.wox.org>  Sat, 15 Feb 2003 17:27:43 +0000

xmlto (0.0.12-5) unstable; urgency=low

  * Added 00_0.0.13pre2.patch.
  * Actually change Standards-Version to 3.5.8.
  * debian/rules:
    - Added a testing framework. Hopefully fewer bugs will get in now.
    - Patches are numbered now, to avoid dependency problems.
    - Call run-parts on the patches directory.
  * Call xmllint with the --catalogs option. (closes: #173603)
  * Only use paper information when converting from XSL-FO. (closes: #180070)
  * Update 02_url patch to patch txt format script.

 -- Graham Wilson <bob@decoy.wox.org>  Fri, 31 Jan 2003 03:13:25 +0000

xmlto (0.0.12-4) unstable; urgency=low

  * Make URIs to point *XML* DTDs (man.patch). (closes: #177090)
  * Supply default paper size if one doesn't exist (libpaper.patch).

 -- Graham Wilson <bob@decoy.wox.org>  Thu, 09 Jan 2003 05:42:38 +0000

xmlto (0.0.12-3) unstable; urgency=low

  * Update Standards-Version to 3.5.8.
    - Support new DEB_BUILD_OPTIONS.
  * Build-Depend on libxml2 and libpaper-utils, since xmlto uses them
    it is called during build. (closes: #175166)
  * Reupload so xmlto is a non-native package. (closes: #175425)

 -- Graham Wilson <bob@decoy.wox.org>  Mon, 06 Jan 2003 01:18:53 +0000

xmlto (0.0.12-2) unstable; urgency=low

  * Use local DTDs in man pages. (closes: #174804)
  * Fix URI in url.patch.

 -- Graham Wilson <bob@decoy.wox.org>  Tue, 31 Dec 2002 07:45:41 +0000

xmlto (0.0.12-1) unstable; urgency=low

  * New upstream release:
    - xmllint patch integrated upstream.
  * Attempt to use libpaper-utils to determine papersize. (closes: #173090)
  * Add 0.0.13pre1 patch:
    - Don't try to validate XSL-FO input files. (closes: #170633)
    - Tell xsltproc not to validate input, since xmllint does that.
  * Clean up the description a little.
    - Add upstream URL.
  * Make sure to depend on libc6:
    - Add ${shlibs:Depends} to Depends [control].
    - Run dh_shlibdeps during binary-arch target [rules].
  * Explicitly depend on libxml2, since we call xmllint.
  * s/Author(s)/Author/ in copyright.
  * Update rules to look for patches in debian/patches.
  * Create README.Debian:
    - Add note about PostScript and DVI output.

 -- Graham Wilson <bob@decoy.wox.org>  Tue, 31 Dec 2002 01:52:29 +0000

xmlto (0.0.11-1) unstable; urgency=low

  * New upstream release:
    - Filenames can contain `_'. (closes: #163669)
  * Calls xmllint correctly. (closes: #165226)
  * Updated url.patch for newest upstream version.
  * New maintainer. (closes: #171351)
  * Depend on a docbook-xsl (>= 1.54.1) (closes: #161921)
  * Make sure to strip executables.

 -- Graham Wilson <bob@decoy.wox.org>  Thu, 05 Dec 2002 23:18:29 +0000

xmlto (0.0.10-3) unstable; urgency=low

  * Suggest passivetex which is now available in debian (closes: #150067).

 -- christophe barbe <christophe@debian.org>  Mon,  2 Sep 2002 10:13:07 -0400

xmlto (0.0.10-2) unstable; urgency=low

  * Added dependency on debianutils >= 1.16 for 'mktemp -d' (closes: #151221).

 -- christophe barbe <christophe@debian.org>  Fri, 28 Jun 2002 08:46:54 -0400

xmlto (0.0.10-1) unstable; urgency=low

  * New Upstream Release.

 -- christophe barbe <christophe@debian.org>  Tue, 18 Jun 2002 22:02:38 -0400

xmlto (0.0.8-3) unstable; urgency=low

  * Description improvement (closes: #150378).

 -- christophe barbe <christophe@debian.org>  Tue, 18 Jun 2002 18:05:57 -0400

xmlto (0.0.8-2) unstable; urgency=low

  * Fix obvious bug in packaging (missing Build-Depends) (closes: #150030).

 -- christophe barbe <christophe@debian.org>  Fri, 14 Jun 2002 20:23:51 -0400

xmlto (0.0.8-1) unstable; urgency=low

  * Initial Release.
  * close ITP (closes: #149610).

 -- christophe barbe <christophe@debian.org>  Wed,  5 Jun 2002 15:59:21 -0400

# vim:ts=2:sw=2:et:tw=79:
